Subject: Re: [nfsv4] -19 typo fixes

From: "J. Bruce Fields" <[email-masked]>
Date: Thu, 7 Feb 2008 15:18:00 -0500

On Tue, Jan 29, 2008 at 03:26:55PM -0800, Mike Eisler wrote:
> I didn't see the point. I believe an article is not required
> before "rule" in the sentence.

Well, in

	By rule (see Section 2.6.3.1.5), neither PUTFH nor SECINFO...

I suppose you might be able to interpret "by rule" in the most general
possible sense (like "by fiat"), but that's a pretty weird non-idiomatic
use of the word.  So I assumed what was intended was something more like
"by rule #5".  But the parenthetical remark doesn't work as a modifier
in that way.  Actually, why not just drop "rule" entirely:

	By Section 2.6.3.1.5, neither PUTFH nor SECINFO...

?

--b.

>  
> 
> --- "J. Bruce Fields" <[email-masked]> wrote:
> 
> > I think this one got dropped last time I sent it in--seems like an
> > obvious fix to me, but maybe I'm missing something:
> > 
> > The current draft has a couple sentences like:
> > 
> > 	By rule (see Section 2.6.3.1.5), neither PUTFH nor SECINFO...
> > 
> > After the following the generated text looks like:
> > 
> >     	By the rule of Section 2.6.3.1.5, neither PUTFH nor SECINFO...
> > 
> > --b.
> >     
> > diff --git a/nfsv41_middle_core_infrastructure.xml
> > b/nfsv41_middle_core_infrastructure.xml
> > index 0a7bd90..6fae537 100755
> > --- a/nfsv41_middle_core_infrastructure.xml
> > +++ b/nfsv41_middle_core_infrastructure.xml
> > @@ -930,10 +930,10 @@
> >       containing the series SEQUENCE, PUTFH,
> >       SECINFO_NONAME, READ, and suppose the security tuple
> >       used does not match that required for the target
> > -     file. By rule (see <xref target="PUTFH+SECINFO"/>),
> > +     file. By the rule of <xref target="PUTFH+SECINFO"/>,
> >       neither PUTFH nor SECINFO_NO_NAME can
> > -     return NFS4ERR_WRONGSEC. By rule (see <xref
> > -     target="PUTFH+AnythingElse"/>), READ cannot return
> > +     return NFS4ERR_WRONGSEC. By the rule of <xref
> > +     target="PUTFH+AnythingElse"/>, READ cannot return
> >       NFS4ERR_WRONGSEC. The issue is resolved by the fact
> >       that SECINFO and SECINFO_NO_NAME consume the current
> >       filehandle. This leaves no current filehandle for
> > 
> > _______________________________________________
> > nfsv4 mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/nfsv4
> > 
> 
_______________________________________________
nfsv4 mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/nfsv4